#pragma once

#include "gewichtssensor.h"
#include "lichtsensor.h"
#include <vector>
#include "elektromotor.h"
#include "elektro.h"

class Fahrstuhl
{
public:
    Fahrstuhl();
    void hoch();
    void rechts();
    void runter();
    void links();
    void bewegeFahrstuhl();
    void setzeZielEtage(int etage);
    void fuegeLichtsensorHinzu(Lichtsensor* sensor);
    void stoppeAnLichtsensoren();
    int getAktuelleEtage() const;
    int getZielEtage() const;
    //void fahreZuEtage(int etage);
   // void stop();
    //int getAktuellePosition() const;

private:
    int aktuelleEtage;
    int zielEtage;
    Gewichtssensor gewichtssensor;
    Elektromotor elektromotor;
    std::vector<Lichtsensor*> lichtsensoren;
    //elektro elektro_;

};

