#include <QtTest>
#include "tst_unittest_aktoren.h"

void AktorenTest::initTestCase() {
    // Wird einmal vor allen Tests ausgeführt
}

void AktorenTest::cleanupTestCase() {
    // Wird einmal nach allen Tests ausgeführt
}

void AktorenTest::init() {
    // Wird vor jedem Test ausgeführt
}

void AktorenTest::cleanup() {
    // Wird nach jedem Test ausgeführt
}

void AktorenTest::testInitialState() {
    aktoren aktor;
    QVERIFY(true); // Überprüfen, ob die Initialisierung des Objekts erfolgreich ist
}

void AktorenTest::testRegeln() {
    MockAktor mock;
    QVERIFY(!mock.regelnCalled);
    mock.regeln();
    QVERIFY(mock.regelnCalled);
}

QTEST_MAIN(AktorenTest)


