#ifndef TST_UNITTEST_GEWICHTSSENSOR_H
#define TST_UNITTEST_GEWICHTSSENSOR_H


#include "../../hii/gewichtssensor.h"
#include <QtTest>


class GewichtssensorTest : public QObject {
    Q_OBJECT

private slots:
    void initTestCase();     // Wird einmal zu Beginn ausgeführt
    void cleanupTestCase();  // Wird einmal am Ende ausgeführt
    void init();             // Wird vor jedem Test ausgeführt
    void cleanup();          // Wird nach jedem Test ausgeführt

    void testInitialState();
    void testZeigeGewicht();
    void testIstRamenSchuesselErkannt();
    void testSetzeGewichtsschwelle();
    void testGetAktuellesGewicht();
};

#endif // TST_UNITTEST_GEWICHTSSENSOR_H
