#ifndef ZUBEREITUNG_H
#define ZUBEREITUNG_H

// Definition der Ramenart
#include "qobject.h"
#include <QObject>
enum Ramenart {
    Tonkotsu,
    Black_Garlic_Oil_Tonkotsu,
    Meeresfrüchte,
    Spicy_kimchi,
    Spicy_Kimchi_Beef,
    Spicy_Kimshi_Miso,
    Shoyu_Chicken,
    Shio,
    Vegetarische_Shoyu,
    Champon,
    Seitan,
    Tantan
};

// Definition der Soßeart
enum Soßeart {
    Soy,
    Fish,
    Hoisin,
    Chili_Oil,
    Sambal,
    Chili_Crisp
};

// Klasse Zubereitung
class Zubereitung:public QObject {
    Q_OBJECT
private:
    Ramenart selectedRamen;
    Soßeart selectedSauce;
    //double getRamenPrice() const;
    //double getSaucePrice() const;


public:
    // Konstruktor
    explicit Zubereitung(Ramenart r, Soßeart s, QObject *parent = nullptr);

    // Methode zur Zubereitung von Ramen
    void ramenzubereiten();
    Ramenart getRamenart() const { return selectedRamen; }
    Soßeart getSoßeart() const { return selectedSauce; }
    double getprice() const;
};

#endif // ZUBEREITUNG_H

